Bug 14276 - Index option IgnoreCase not ported from 1.3
Summary: Index option IgnoreCase not ported from 1.3
Status: CLOSED FIXED
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_autoindex (show other bugs)
Version: 2.0-HEAD
Hardware: PC All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-05 21:40 UTC by Frank Domina
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments
Forward port of IgnoreCase directive. (3.79 KB, patch)
2003-01-06 07:09 UTC, David Shane Holden
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Domina 2002-11-05 21:40:46 UTC
With the Win32 version, index option IgnoreCase causes an error.  If the option 
is in the httpd.conf file for a directory, Apache won't even start.  If I put 
the option in the directory's .htaccess file, you get an internal server error 
and the error log reports "Invalid directory indexing option"....and yes, 
FancyIndexing is enabled.
Comment 1 Erik Abele 2002-11-05 22:07:39 UTC
Thanks for the report, but this is a configuration error.
Apache 2 doesn't have the index option 'IgnoreCase'; it is only available in
Apache 1.3.

For a list of available options, see
http://httpd.apache.org/docs-2.0/mod/mod_autoindex.html#indexoptions
Comment 2 Joshua Slive 2002-11-06 15:53:47 UTC
But it should be available.  I'm not sure why this was never forward-ported.
I'm going to reopen and mark this as an enhancement request, because
I've seen other similar reports.
Comment 3 David Shane Holden 2003-01-06 07:09:29 UTC
Created attachment 4341 [details]
Forward port of IgnoreCase directive.
Comment 4 William A. Rowe Jr. 2003-01-06 15:27:24 UTC
  The patch, with minor changes, is committed to the 2.0 release branch
  and 2.1 development branch.

  The changes to the patch should avoid future reformatting of the #defines
  list and provide a deterministic ordering even for fn1.1.zzz/fn1.01.zzz which
  might compare equally using the strnatcmp family of functions.